def noiseshares_contemp(dfreginf, sofiaalt, sigfigs = 4):
    import pandas as pd
    dfrslts = dfreginf.copy()

    rowsinfnoise = ['Ref 1 NS', 'Ref 2 NS']
    
    dfinfnoise = pd.DataFrame(columns = sofiaalt,
                              index = rowsinfnoise)
    
    for ref2 in sofiaalt:
        xreg = (dfrslts.alt == ref2)
        dfreg = dfrslts[xreg].copy().iloc[0]
        p = dfreg.params
    
        liborNS = round(p[1] / (p[1] + p[2]),sigfigs)
        altNS = round(p[2] / (p[1] + p[2]),sigfigs)

        dfinfnoise[ref2] = [liborNS, altNS]

    return(dfinfnoise)